
QGIS Application - Bug report #11209

Bad Allocation when opening properties of a VRT file created with the Hillshade tool of the "Raster 

Terrain Analysis" core plugin

2014-09-15 08:08 PM - Mark Giesbrecht

Status: Closed

Priority: Normal

Assignee:

Category: Analysis library

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19519

Description

When creating a hillshade with a virtual raster output, based upon an existing virtual raster, the process completed with a 'Bad Allocation'

error.  End result would not display the the output, rendering was blank.  Values were between nan

Input files are .dem, downloaded from Geogratis.ca

    -  Input filename was ElbowBasinDEM.vrt

    -  Output filename was ElbowBasinHillshade.vrt

Input virtual raster details are as follows:

Driver

GDAL provider

VRT

Virtual Raster

Dataset Description

D:/GIS/ERWP/DEMS For Elbow River/ElbowBasinDEM.vrt

Band 1

STATISTICS_MAXIMUM=2995

STATISTICS_MEAN=1581.2133159829

STATISTICS_MINIMUM=1036

STATISTICS_STDDEV=412.1300841309

Dimensions

X: 7201 Y: 6001 Bands: 1

Origin

-115.5,51.2501

Pixel Size

0.000208333,-0.000208333

No Data Value

-32767 

Data Type

Int16 - Sixteen bit signed integer 

Pyramid overviews

Layer Spatial Reference System

+proj=longlat +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +no_defs

Layer Extent (layer original source projection)

-115.5001041666666737,49.9998958333333334 : -113.9998958333333405,51.2501041666666666

Band

Band 1

Band No

1

No Stats
No stats collected yet

Output virtual raster details are as follows:

Driver

GDAL provider

VRT

Virtual Raster

Dataset Description

D:/GIS/ERWP/Elbow River Watershed - Geogratis/ElbowBasinHillshade.vrt

Band 1

Dimensions

X: 7201 Y: 6001 Bands: 1

Origin

-115.5,51.2501

Pixel Size

0.000208333,-0.000208333

No Data Value

-9999 

Data Type

Float32 - Thirty two bit floating point 

Pyramid overviews

Layer Spatial Reference System

+proj=longlat +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +no_defs

Layer Extent (layer original source projection)

-115.5001041666666737,49.9998958333333334 : -113.9998958333333405,51.2501041666666666

Band

Band 1

Band No

1

No Stats

No stats collected yet 

Another aside, the first virtual raster output (ElbowBasinDEM.vrt) would not display until the project was saved, then re-opened the .qgs

project.

History

#1 - 2014-10-03 02:43 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

- Subject changed from Bad Allocation Error when creating Virtual Raster to Bad Allocation when opening properties of a VRT file created with the 

Hillshade tool of the "Raster Terrain Analysis" core plugin

- Category changed from Rasters to 119

- Operating System deleted (Windows 7 64bit)

The resulting vrt file (using the QGIS core "Raster Terrain Analysis plugin") does not seems right, but the truth is that I'm not sure that for such operations

(for example using the hillshade tool in the "raster -> analysis -> dem" menu) the vrt should be allowed as output format.

#2 - 2017-01-02 01:11 AM - Giovanni Manghi

- Category changed from 119 to Analysis library
#3 - 2017-01-02 01:27 AM - Giovanni Manghi

- Target version set to Version 3.0

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

QGIS_240_VirtualRaster_BadAllocation_1.PNG 37.1 KB 2014-09-15 Mark Giesbrecht

QGIS_240_VirtualRaster_BadAllocation_2.PNG 8.98 KB 2014-09-15 Mark Giesbrecht

QGIS_240_VirtualRaster_BadAllocation_3.PNG 4.82 KB 2014-09-15 Mark Giesbrecht
